Name:           perl-TimeDate
Version:        2.30
Epoch:          1
Release:        17
Summary:        Perl5 TimeDate distribution
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/TimeDate
Source0:        https://cpan.metacpan.org/authors/id/G/GB/GBARR/TimeDate-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators perl(base) perl(Carp)
BuildRequires:  perl(Exporter) perl(ExtUtils::MakeMaker) perl(strict)
BuildRequires:  perl(Test::More) perl(Time::Local) perl(utf8)
BuildRequires:  perl(vars) perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This is the perl5 TimeDate distribution. It requires perl version 5.003 or later
This distribution replaces my earlier GetDate distribution, which was
only a date parser. The date parser contained in this distribution is
far superior to the yacc based parser, and a *lot* fatser.

%package help
Summary:        Documentation for perl-TimeDate

%description help
Documentation for perl-TimeDate.

%prep
%autosetup -n TimeDate-%{version} -p1
chmod -x lib/Date/Language/{Russian_cp1251,Russian_koi8r,Turkish}.pm

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
%{__chmod} -Rf a+rX,u+w,g-w,o-w $RPM_BUILD_ROOT/*

%check
#make test

%files
%{perl_vendorlib}/
%exclude %{_libdir}/perl5/perllocal.pod

%files help
%doc README ChangeLog
%{_mandir}/man3/


%changelog
* Wed Jan 22 2020 gulining<gulining1@huawei.com> - 1:2.30-17
- Disable test

* Sat Oct 26 2019 Zaiwang Li <lizaiwang1@huawei.com> - 1:2.30-16
- Init package.
